##### 7.7.15.0. makeModElimRing

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  makeModElimRing(L); L a list

Return:
  ring

Purpose:
  create a copy of a given ring equipped with the
  elimination ordering for module components `(c,<)`

Note:
  usually the list argument contains a ring to work with

Example:

    LIB "nctools.lib";
    ring r1 = 0,(x,y,z),(C,Dp);
    def r2 = makeModElimRing(r1); setring r2; r2;   kill r2;
    ==> //   characteristic : 0
    ==> //   number of vars : 3
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering Dp
    ==> //                  : names    x y z
    ring r3 = 0,(z,t),(wp(2,3),c);
    def r2 = makeModElimRing(r3); setring r2; r2; kill r2;
    ==> //   characteristic : 0
    ==> //   number of vars : 2
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering wp
    ==> //                  : names    z t
    ==> //                  : weights  2 3
    ring r4 = 0,(z,t,u,w),(a(1,2),C,wp(2,3,4,5));
    def r2 = makeModElimRing(r4); setring r2; r2;
    ==> //   characteristic : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering a
    ==> //                  : names    z t
    ==> //                  : weights  1 2
    ==> //        block   3 : ordering wp
    ==> //                  : names    z t u w
    ==> //                  : weights  2 3 4 5

User manual for Singular version 4-0-3, 2016, generated by texi2html.